// See https://aka.ms/new-console-template for more information

using System.Text.Json;
using Quadarax.Foundation.Core.Json.Extensions;

Console.WriteLine("Hello, World!");

var data1 = "{\"Name\" : \"Dalibor Votruba\", \"Age\" : 23, \"IsGood\" : false}";
var data2 = "{\"Name\" : \"Dalibor Votruba\", \"Age\" : 43, \"IsGood\" : false}";
var data3 = "{\"Name\" : \"Daliborx Votruba\", \"IsGood\" : true}";


var json1 = JsonDocument.Parse(data1);
var json2 = JsonDocument.Parse(data2);
var json3 = JsonDocument.Parse(data3);

var res1 = json1.Diff(json2);
var res2 = json1.Diff(json3);

Console.ReadKey();